C2_W1_Assignment 1 Exercise 2

The following specifications were found to be incompatible with your system:

  • feature:/linux-64::__glibc==2.31=0
  • feature:|@/linux-64::__glibc==2.31=0

Your installed version is: 2.31


CalledProcessError Traceback (most recent call last)
Cell In[12], line 5
2 sys.path.append(‘src/’)
4 # import the prepare_data.py module
----> 5 import prepare_data
7 # reload the module if it has been previously loaded
8 if ‘prepare_data’ in sys.modules:

File ~/src/prepare_data.py:26
23 import time
24 import boto3
—> 26 subprocess.check_call([sys.executable, “-m”, “conda”, “install”, “-c”, “pytorch”, “pytorch==1.6.0”, “-y”])
28 subprocess.check_call([sys.executable, “-m”, “pip”, “install”, “transformers==3.5.1”])
29 from transformers import RobertaTokenizer

File /opt/conda/lib/python3.10/subprocess.py:369, in check_call(*popenargs, **kwargs)
367 if cmd is None:
368 cmd = popenargs[0]
→ 369 raise CalledProcessError(retcode, cmd)
370 return 0

CalledProcessError: Command ‘[’/opt/conda/bin/python’, ‘-m’, ‘conda’, ‘install’, ‘-c’, ‘pytorch’, ‘pytorch==1.6.0’, ‘-y’]’ returned non-zero exit status 1.

Please help to get resolve this error!